
#ifndef _CONFIG_H_
#define _CONFIG_H_ 1

#pragma INLINE
void DisableInt(void);

#pragma INLINE
void EnableInt(void);

#define CPUSPEED 12    /* CPU speed (4*f[OP]), so the ROM timing loops are correct */  
#define PAGESIZE 32    /* bytes for default WriteFlash call */
#define ERASEPAGESIZE 64    /* bytes for default WriteFlash call */

void WriteFlashSize(const unsigned char *page, unsigned char size);
void WriteFlash(const unsigned char *page);
void EraseFlash(const unsigned char *page);

unsigned char Read_FLASH (unsigned int Where);
void Write_FLASH(unsigned int Where, unsigned char What);
void Erase_FLASH(unsigned int Length);
#endif