
#ifndef _FLASH_C_
#define _FLASH_C_ 1

#include "flash.h"

#define ROMSTART 0x2800     /* for Nitron! */
//#define ROMSTART 0xFC00     /* for JK/JL! */

#define GETBYTE ((PTR2FUN)(ROMSTART+0x00))
#define RDVRRNG ((PTR2FUN)(ROMSTART+0x03))
#define ERARNGE ((PTR2FUN)(ROMSTART+0x06))
#define PRGRNGE ((PTR2FUN)(ROMSTART+0x09))
#define DELNUS  ((PTR2FUN)(ROMSTART+0x0C))


BYTE getbyte(void)
{
  asm
  {
    PSHX
    PULH
    TAX
  };
  GETBYTE();
  return;  
}  

BYTE rdvrrng(BYTE *FADDR, BYTE MODE)
{
  /* FADDR on top of stack, MODE in A */

  asm
  { 
    LDHX FADDR
  };
  RDVRRNG();
  return;
}  

UINT prgrnge(BYTE *FADDR)
{
  asm
  { 
    PSHX
    PULH
    TAX  
  };
  PRGRNGE();
  asm
  { 
    TXA
    PSHH
    PULX 
  };
  return;  
}  

UINT erarnge(BYTE *FADDR)
{
  asm
  { 
    PSHX
    PULH
    TAX  
  };
  ERARNGE();
  asm
  { 
    TXA
    PSHH
    PULX 
  };
  return;  
}  

void delnus(BYTE SPEED, BYTE DELAY)
{
  /* first parameter SPEED in A, second DELAY in X*/
  DELNUS();
}  


#endif