#ifndef _FLASH_H_
#define _FLASH_H_ 1

typedef unsigned char BYTE;
typedef unsigned int UINT;
typedef void (*PTR2FUN)(void); 

#define RAMSTART 0x80

#define CTRLBYT REG(RAMSTART +0x08)
#define CPUSPD  REG(RAMSTART+0x09)
#define LADDR   DBLPTR(RAMSTART+0x0a)

BYTE getbyte(void);
BYTE rdvrrng(BYTE *FADDR, BYTE MODE);
UINT prgrnge(BYTE *FADDR);
UINT erarnge(BYTE *FADDR);
void delnus(BYTE SPEED, BYTE DELAY);

#define DBLPTR(a)  (*((volatile UINT *)(a)))
#define REG(a)  (*((volatile BYTE *)(a)))

#endif